/* ---------------------------------------------------- */
/* Header-file MSGLOG 1.0, (C) Wabnig Harald, 25.5.2002 */
/* ---------------------------------------------------- */

#ifndef MSGLOG_INCLUDE
#define MSGLOG_INCLUDE

#include <ctype.h>
#include <stdio.h>
#include <math.h>

/* ----------------------------- */

#define MSGLOG_ALREADY_INITIAlIZED  1
#define MSGLOG_ILLEGAL_FILENAME     2
#define MSGLOG_FILE_OPEN            3

extern int Init_Msglog(char * filename, int kz_empty);
extern void Close_Msglog(void);

extern void Set_Msglog_Callback(void (* cb_func)(char*));
extern void Set_Msglog_Close_Callback(void (* cb_func)(char*));

extern void Log_Msg(char * fmt, ...);

extern void Msglog_Exit(int rcode);

#endif


